#!/usr/bin/python3
try:
    from .__id__ import APP_NAME
except (ValueError, ImportError):
    from __id__ import APP_NAME

warning = f"This file is automatically generated, all changes will be lost. Close {APP_NAME} before editing."


CSS_DEFAULT = {
    "preview-fg": "#000000",
    "preview-bg": "#ffffff",
    "highlight-fg": "#000000",
    "highlight-bg": "#ffffa6",
    "tray-icon": "none",
    "menu-icon": "#404040",
    "status-icon": "#bfbfbf",
    "toolbar-icon": "#bfbfbf",
    "toolbar-align": "center",
    "toolbar-visible": "true",
    "context-menu": "false",
}

NDB_DEFAULT = {
    "warning": warning,
    "favorites": [],
    "loaded": []
}

SDB_DEFAULT = {
    "warning": warning,
    "general":
    {
        "default name": "Untitled",
        "skip taskbar": True,
        "hotkeys": True,
        "minimize": False,
        "reposition": True,
        "accept qrichtext": True,
        "wheel threshold": 10,
        "truncate threshold": 30,
    },
    "archives":
    {
        "frequency": 1,
        "image": True,
        "text": True,
    },
    "clean":
    {
        "archives": 7,
        "blanks": True,
        "logs": 7,
        "trash": 31,
    },
    "terminal":
    {
        "color scheme": "default.colorscheme",
        "font family": "DejaVu Sans Mono",
        "font size": 9,
    },
    "message bar":
    {
        "folder": True,
        "pixels": True,
        "words": True,
    },
    "launcher":
    {
        "case": False,
        "hide": True,
    },
    "profile default":
    {
        "position": [0, 0],
        "width": 300,
        "height": 210,
        "opacity": 1.0,
        "pin": False,
        "wrap": True,
        "style": "minimal.css",
        "palette": "graphite.css",
        "mode": "html",
        "hash": "",
    },
    "key events":
    {
        "ctrl;a": ["note", "select all"],
        "ctrl;b": ["note", "bold"],
        "ctrl;c": ["note", "copy"],
        "ctrl;d": ["note", "line duplicate"],
        "ctrl;f": ["note", "search"],
        "ctrl;h": ["note", "highlight"],
        "ctrl;i": ["note", "italic"],
        "ctrl;m": ["note", "move"],
        "ctrl;p": ["note", "pin"],
        "ctrl;q": ["note", "unload"],
        "ctrl;r": ["note", "rename"],
        "ctrl;s": ["note", "strike"],
        "ctrl;u": ["note", "underline"],
        "ctrl;v": ["note", "paste"],
        "ctrl;w": ["note", "wrap"],
        "ctrl;x": ["note", "cut"],
        "ctrl;y": ["note", "redo"],
        "ctrl;z": ["note", "undo"],
        "ctrl;-": ["note", "zoom out"],
        "ctrl;=": ["note", "zoom in"],
        "ctrl,shift;backspace": ["note", "line delete"],
        "ctrl,shift;up": ["note", "line up"],
        "ctrl,shift;down": ["note", "line down"],
        "ctrl,shift;a": ["note", "antidote"],
        "ctrl,shift;c": ["note", "copy rich"],
        "ctrl,shift;l": ["note", "lowercase"],
        "ctrl,shift;r": ["note", "reset"],
        "ctrl,shift;s": ["note", "sort"],
        "ctrl,shift;t": ["note", "titlecase"],
        "ctrl,shift;u": ["note", "uppercase"],
        "ctrl,shift;v": ["note", "special paste"],
        "ctrl,shift;w": ["note", "clear format"],
        "ctrl,shift;x": ["note", "cut rich"],
    },
    "mouse events":
    {
        "tray":
        {
            "left": ["core", "toggle"],
            "middle": ["core", "new"],
            "right": ["core", "menu"],
        },
        "status":
        {
            "left": ["note", "swap"],
            "middle": ["core", "new"],
            "right": [],
            "doubleclick": [],
            "up": ["note", "opacity+"],
            "down": ["note", "opacity-"],
        },
        "title":
        {
            "middle": ["note", "resize"],
            "right": [],
            "doubleclick": ["note", "rename"],
            "up": ["note", "roll"],
            "down": ["note", "unroll"],
        },
        "close":
        {
            "left": ["note", "unload"],
            "middle": [],
            "right": [],
            "doubleclick": [],
            "up": [],
            "down": [],
        },
    },
    "core menus":
    {
        "tray": [
            "new",
            "reset",
            "search",
            "open",
            "separator",
            "unload",
            "folders list",
            "separator",
            "notes list",
            "separator",
            "settings",
            "quit",
        ],
        "browser": [
            "separator",
            "new",
            "show",
            "load",
            "unload",
            "separator",
            "rename",
            "move",
            "open",
            "separator",
            "delete",
        ],
    },
    "context menus":
    {

        "html": [
            "new",
            "duplicate",
            "separator",
            "pin",
            "move",
            "antidote",
            "palette",
            "mode",
            "separator",
            "delete",
        ],
        "image": [
            "original",
            "scale",
            "aspect ratio",
            "fit",
            "separator",
            "palette",
            "style",
            "pin",
            "move",
            "separator",
            "delete",
        ],
        "plain": [
            "new",
            "duplicate",
            "separator",
            "pin",
            "move",
            "antidote",
            "palette",
            "mode",
            "separator",
            "delete",
        ],
        "console": [
            "new",
            "duplicate",
            "reload",
            "separator",
            "palette",
            "style",
            "pin",
            "move",
            "mode",
            "separator",
            "delete",
        ],
        "vim": [
            "new",
            "duplicate",
            "separator",
            "palette",
            "style",
            "pin",
            "move",
            "mode",
            "separator",
            "delete",
        ],
    },
    "toolbar menus":
    {
        "html": [
            "bold",
            "italic",
            "underline",
            "strike",
            "clear format",
            "separator",
            "duplicate",
            "move",
            "mode",
            "separator",
            "delete",
        ],
        "image": [
            "original",
            "scale",
            "aspect ratio",
            "fit",
            "separator",
            "palette",
            "style",
            "pin",
            "move",
            "separator",
            "delete",
        ],
        "plain": [
            "new",
            "duplicate",
            "separator",
            "palette",
            "pin",
            "move",
            "mode",
            "separator",
            "delete",
        ],
        "console": [
            "new",
            "duplicate",
            "reload",
            "separator",
            "palette",
            "style",
            "pin",
            "move",
            "mode",
            "separator",
            "delete",
        ],
        "vim": [
            "new",
            "duplicate",
            "separator",
            "palette",
            "style",
            "pin",
            "move",
            "mode",
            "separator",
            "delete",
        ],
    },
    "legacy": False,
}
